* {
    box-sizing: border-box;
}


body {

    margin: 0;
    padding: 40px;

    background: #faf7f8;

    font-family: Helvetica, Arial, sans-serif;

}



/* main player */

.player {

    width: 380px;
    max-width: 100%;

    background: white;

    border-radius: 24px;

    padding: 22px;

    box-shadow: 0 8px 25px rgba(0,0,0,0.08);

    color: #ff4f9a;

}



/* cover + title */

.top-section {

    display: flex;

    align-items: center;

    gap: 15px;

    margin-bottom: 18px;

}



#cover {

    width: 75px;
    height: 75px;

    object-fit: cover;

    border-radius: 50%;

}



.track-info {

    display: flex;

    flex-direction: column;

}



.track-number {

    font-size: 13px;

    opacity: .6;

}



.track-title {

    font-size: 18px;

    font-weight: bold;

}





/* spectrogram */

#spectrogram {

    width: 100%;

    height: 65px;

    display: block;

    margin-bottom: 15px;

    border-radius: 10px;

}





/* timeline */

.time-display {

    display: flex;

    align-items: center;

    gap: 10px;

    font-size: 12px;

}



input[type="range"] {

    flex: 1;

    accent-color: #ff4f9a;

}





/* controls */

.controls {

    display: flex;

    align-items: center;

    gap: 12px;

    margin: 18px 0;

}



button {

    border: none;

    background: #ffd9ea;

    color: #ff3188;

    width: 42px;

    height: 42px;

    border-radius: 50%;

    cursor: pointer;

    font-size: 16px;

}



button:hover {

    background: #ffc1dd;

}



#play {

    width: 52px;

    height: 52px;

    font-size: 20px;

}





.volume {

    display: flex;

    align-items: center;

    gap: 5px;

    margin-left: auto;

}



.volume input {

    width: 75px;

}





/* playlist */

.playlist-header {

    font-size: 14px;

    font-weight: bold;

    margin-bottom: 8px;

}



.playlist {

    max-height: 220px;

    overflow-y: auto;

    padding-right: 5px;

}





.song {

    padding: 8px 10px;

    border-radius: 12px;

    cursor: pointer;

    font-size: 14px;

    color: #ff4f9a;

}



.song:hover {

    background: #fff0f6;

}



.song.active {

    background: #ffd9ea;

    font-weight: bold;

}





/* scrollbar */

.playlist::-webkit-scrollbar {

    width: 6px;

}


.playlist::-webkit-scrollbar-thumb {

    background: #ffc1dd;

    border-radius: 10px;

}





/* mobile */

@media(max-width:500px) {


    body {

        padding: 20px;

    }


    .player {

        width: 100%;

    }


    .track-title {

        font-size: 16px;

    }


    .volume {

        display: none;

    }

}